Salesforce API version used by Okta for User Provisioning Skip to main content
https://support.okta.com/help/answers?id=9062a000000qul2qac&refurl=http%3a%2f%2fsupport.okta.com%2fhelp%2fanswers
How satisfied are you with the Okta Help Center?
Thank you for your feedback!
How satisfied are you with the Okta Help Center?
1
2
3
4
5
Very Dissatisfied
Very satisfied
Enter content less than 200 characters.
Ask Search:
Ashish NarangAshish Narang 

Salesforce API version used by Okta for User Provisioning

While doing Auto provisioning Salesforce User from Okta, what API version is being used by Okta.
We have a workflow in Salesforce which assign Managed Package License to User whenever new user is being created. Workflow is failing if user is provisioned from Okta, it does work when We manually create User in Salesforce.
Justin HawkinsJustin Hawkins
We have ran into the same issue.  We have a managed package that uses a flow to assign licenses for the package on user create.  After contacting the managed package vendor, they told us that Okta uses API v23.0 for user provisioning.  The UserPackageLicense object is available in Salesofrce API version 31.0 and later.  I have a case open with Okta support to find out if they have plans to update the API version used to make use of newer Salesforce objects within the API.